Skip to main content
POST
/
dev
/
v1
/
invoices
/
{uniqid}
/
void
Void invoice
curl --request POST \
  --url https://api.shoppex.io/dev/v1/invoices/{uniqid}/void \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "void_details": "Customer requested cancellation"
}
'
{
  "data": {
    "id": "inv_3",
    "uniqid": "33333333-3333-4333-8333-333333333333",
    "type": "PRODUCT",
    "shop_id": "shop_1",
    "customer_email": "buyer@example.com",
    "currency": "USD",
    "total": 49.99,
    "total_display": 49.99,
    "status": "VOIDED",
    "void_details": "Customer requested cancellation",
    "payment_status": "VOIDED",
    "gateway": "PANDABASE",
    "items": [
      {
        "product_id": null,
        "product_title": "External Payment",
        "product_type": "SERVICE",
        "variant_title": null,
        "quantity": 1,
        "unit_price": 49.99,
        "total": 49.99,
        "delivered_items": null
      }
    ],
    "created_at": 1712059200,
    "updated_at": 1712059860
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Path Parameters

uniqid
string
required

Body

void_details
string

Response

200 - application/json

Successful response

data
object